commit:     d123a632f491921a0e861d93365ff6b8d13c5eb9
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 03:20:42 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 04:06:26 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d123a632

dev-python/flaky: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/flaky/Manifest           |  1 +
 dev-python/flaky/flaky-3.4.0.ebuild | 45 +++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index 78408de0f27..017b192e50c 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1 +1,2 @@
 DIST flaky-3.1.1.tar.gz 29136 SHA256 
d50eb4034d5fc1bbe043f2c9a364024f436ebdcadc03e89f091a332407b7cf7e SHA512 
039ad115a52b8b3a31bba045874e1860f1e04ea9cf878316226fb22af3c715b3893570c2f7380cf8467107f1a83a4ff69d0e9135daeb2dbea4b8f873a192815c
 WHIRLPOOL 
6fb841fe6aaf575a776ac1ebba262e1272fa194c517cdc1e8db125bdc339d67e23dbd7f8f3f3469741e50863bf564c93eb921e4e621e8f54ec815cdde9148712
+DIST flaky-3.4.0.tar.gz 29197 SHA256 
4ad7880aef8c35a34ddb394d4fa33047765bca1e3d67d182bf6eba9c8eabf3a2 SHA512 
14fda6312e4eb8260a8190204622a7dd274d0c946dda07ec8aa65e8c341f7f4a701c704c807f50eacf77589231b37c3bb06eec18d60a718f24e9b0182f7e8cb5
 WHIRLPOOL 
b7e5501301bfa47398ab134625d482d3f3f0e38401df932fc234181204f7144fe34d0ef580a94ff6387e44dcef9d43cc82fc3887b059cd8f08fdc5523207b7e3

diff --git a/dev-python/flaky/flaky-3.4.0.ebuild 
b/dev-python/flaky/flaky-3.4.0.ebuild
new file mode 100644
index 00000000000..5de8876cee9
--- /dev/null
+++ b/dev-python/flaky/flaky-3.4.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for nose or py.test that automatically reruns flaky tests"
+HOMEPAGE="https://pypi.python.org/pypi/flaky https://github.com/box/flaky";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/genty[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+python_prepare_all() {
+       cat >> test/__init__.py <<- EOF
+       # coding: utf-8
+
+       from __future__ import unicode_literals
+       EOF
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests --with-flaky --exclude="test_nose_options_example" 
test/test_nose/ || die
+       py.test -k 'example and not options' --doctest-modules 
test/test_pytest/ || die
+       py.test -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py || die
+       nosetests --with-flaky --force-flaky --max-runs 2 
test/test_nose/test_nose_options_example.py || die
+       py.test --force-flaky --max-runs 2  
test/test_pytest/test_pytest_options_example.py || die
+}

Reply via email to